#ifndef paint_widget_h
#define paint_widget_h paint_widget_h

#include <qwidget.h>
#include <qsizepolicy.h>
#include <qsize.h>

class PaintWidget : public QWidget
{
    Q_OBJECT

 public:
    PaintWidget(QWidget *qw,int s,double max,double *arr);
    void paint_1DArray(double *, double *, int, double);
    void paint_Matrizen(int *, int **, int sizeX, int sizeY);
    void paint_Balken();
    void paint5WerteBalken(double a, double e, double i, double o, double u);
    void paint3WerteBalken(double a, double e, double i);
    void paintVMatrix(int *, int length);
    void paint2DMatrix(int **, int sizeX, int sizeY);

 public slots:
    void repaintWidget();

 private:
    void paintEvent(QPaintEvent *);
    //!!hier gehts los!!
    QPainter* paint_rect(int x, int y);
    QPainter* paint_rect_fill(int x, int y, int c);
    QPainter* paint1DArray(double *, double *, int, double);

    QSizePolicy sizePolicy() const;
    QSize sizeHint() const;

    int array_size;
    double maximum;
    double *arr;
};


#endif

