/****************************************************************************
** Form implementation generated from reading ui file 'ErgAvv.ui'
**
** Created: Wed Aug 14 16:23:07 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "ErgAvv.h"
#include "AudioSignals.h"

#ifndef AUDIOEDIT_H
#define AUDIOEDIT_H
#include "AudioEdit.h"
#endif


#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qvbox.h>

/* 
 *  Constructs a ErgAvv which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
ErgAvv::ErgAvv( QWidget* parent,  const char* name, bool modal, WFlags fl, QString filename, AudioEdit* ae )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "ErgAvv" );
    resize( 476, 880 );
    setMaximumSize(476,880);
    setMinimumSize(476,880);
    setCaption( tr( "Ergebnisse der Audiovorverarbeitung" ) );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    TextLabel2->setGeometry( QRect( 190, 320, 110, 20 ) ); 
    TextLabel2->setText( tr( "Daten nach der FFT" ) );

    PushButtonCancel = new QPushButton( this, "PushButtonCancel" );
    PushButtonCancel->setGeometry( QRect( 180, 840, 130, 31 ) ); 
    PushButtonCancel->setText( tr( "Schliessen" ) );

    TextLabel3 = new QLabel( this, "TextLabel3" );
    TextLabel3->setGeometry( QRect( 170, 580, 150, 20 ) ); 
    TextLabel3->setText( tr( "Daten nach der Fensterung" ) );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setGeometry( QRect( 150, 60, 200, 20 ) ); 
    TextLabel1->setText( tr( "Originaldaten (8192 Byte Sample)" ) );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );
    TextLabel1_2->setGeometry( QRect( 10, 20, 40, 20 ) ); 
    TextLabel1_2->setText( tr( "Datei:" ) );

    TextLabelFileName = new QLabel( this, "TextLabelFileName" );
    TextLabelFileName->setGeometry( QRect( 50, 20, 450, 20 ) );
    TextLabelFileName->setText( filename );

    // das 1. Diagramm
    QVBox* box1 = new QVBox( this, "Signal1Frame" );
    box1->setFrameStyle( QFrame::WinPanel | QFrame::Sunken );
    box1->setGeometry( QRect( 10, 80, 450, 230 ) );
    box1->setMinimumSize( QSize( 450, 230 ) );
    box1->setMaximumSize( QSize( 450, 230 ) );

    AudioSignals* audiosignal1 = new AudioSignals(box1,ae->getDataStartLength(),START_LENGTH,1);
    
    audiosignal1->setGeometry( QRect (10, 80, 450, 230 ) );
    audiosignal1->setMinimumSize( QSize( 450, 230 ) );
    audiosignal1->setMaximumSize( QSize( 450, 230 ) );
    audiosignal1->show();

    // das 2. Diagramm
    QVBox* box2 = new QVBox( this, "Signal2Frame" );
    box2->setFrameStyle( QFrame::WinPanel | QFrame::Sunken );
    box2->setGeometry( QRect( 10, 340, 450, 230 ) );
    box2->setMinimumSize( QSize( 450, 230 ) );
    box2->setMaximumSize( QSize( 450, 230 ) );

    AudioSignals* audiosignal2 = new AudioSignals(box2,ae->getDataFFT(),START_LENGTH,2);
    
    audiosignal2->setGeometry( QRect (10, 340, 450, 230 ) );
    audiosignal2->setMinimumSize( QSize( 450, 230 ) );
    audiosignal2->setMaximumSize( QSize( 450, 230 ) );
    audiosignal2->show();

    // das 3. Diagramm
    QVBox* box3 = new QVBox( this, "Signal3Frame" );
    box3->setFrameStyle( QFrame::WinPanel | QFrame::Sunken );
    box3->setGeometry( QRect( 10, 600, 450, 230 ) );
    box3->setMinimumSize( QSize( 450, 230 ) );
    box3->setMaximumSize( QSize( 450, 230 ) );

    AudioSignals* audiosignal3 = new AudioSignals(box3,ae->getData(),ae->getHammingFenster(),3);
    
    audiosignal3->setGeometry( QRect (10, 600, 450, 230 ) );
    audiosignal3->setMinimumSize( QSize( 450, 230 ) );
    audiosignal3->setMaximumSize( QSize( 450, 230 ) );
    audiosignal3->show();

    // signals and slots connections
    connect( PushButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ErgAvv::~ErgAvv()
{
    // no need to delete child widgets, Qt does it all for us
}

