/* 
 * Die Klasse FFT ist dazu gedacht Fast Fourier Transformationen ber double-Arrays durchzufhren.
 * Mglich sind: Fourier-Analyse und Fourier Synthese
 */
class FFT
{
 public:
  /* Konstruktor ohne Parameter */
  FFT();

  /* Destruktor */
  ~FFT();
  
  /* 
   * Die Funktion fft ermglicht eine Fast Fourier Transformation.
   * Parameter: data - ein Array mit double-werten
   *            amount - Anzahl der Funktionswerte
   *            sign - 0 bedeutet Fourier-Synthese;
   *                   ungleich 0 bedeutet Fourier-Analyse
   */
  void fft(double data[], unsigned long amount, int sign);
};



