/****************************************************************************
** Form implementation generated from reading ui file 'TrainingGUI.ui'
**
** Created: Thu Aug 15 22:27:34 2002
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "TrainingGUI.h"
#include "GesamtNetz.h"
#include "Statistik.h"
#include "SetFile.h"
#include "nnresult.h"
#include "fkurve.h"

#ifndef AUDIOFILE_H
#define AUDIOFILE_H
#include "AudioFile.h"
#endif
#ifndef AUDIOEDIT_H
#define AUDIOEDIT_H
#include "AudioEdit.h"
#endif

#include <string.h>
#include <math.h>


#include <qbuttongroup.h>
#include <qcombobox.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qradiobutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qfiledialog.h>

#include <iostream.h>

/* 
 *  Constructs a Training which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */

Training::Training( GesamtNetz **gN, QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )  
{
    if (*gN == 0) {
      cerr << "Training Objekt instantiert ohne GesamtNetz!\n\n";
    }
    myGN = gN;
    // andere Defaultwerte:
    Epsilon = 0.001;
    Epochen = 1;
    Redundanz = 50;
    trainierungsFFT=0, testFFT=0;
    trainierungsVok=0, testVok=0;
    loadData = 1;
    trainierungsLaenge=0;
    testLaenge=0;
    totalEpochen=0;

    f = new Fehlerkurven(0,0,0);
    g = new g_matrix(this,0,0,0);
    w = new Wahrscheinlichkeiten(this,0,0,0);

    f->gesamtNetzSetzen(gN);
    g->gesamtNetzSetzen(gN);
    // Diese Zeilen wegmachen, falls man nur die Fenster ab den
    // ersten Ablauf sehen.
    f->show();
    g->show();
    w->show();

    if ( !name )
	setName( "Training" );
    resize( 490, 444 );
    setMinimumSize( 490, 444 );
    setMaximumSize( 490, 444 );

    setCaption( tr( "Netz testen und trainieren" ) );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setGeometry( QRect( 10, 20, 90, 30 ) ); 
    TextLabel1->setText( tr( "Trainingsdaten:" ) );

    GroupBox12 = new QGroupBox( this, "GroupBox12" );
    GroupBox12->setGeometry( QRect( 10, 190, 471, 151 ) ); 
    GroupBox12->setTitle( tr( "Konfiguration der Audiovorverarbeitung" ) );

    QWidget* privateLayoutWidget = new QWidget( GroupBox12, "Layout3" );
    privateLayoutWidget->setGeometry( QRect( 10, 30, 450, 26 ) ); 
    Layout3 = new QHBoxLayout( privateLayoutWidget ); 
    Layout3->setSpacing( 6 );
    Layout3->setMargin( 0 );

    TextLabel1_3 = new QLabel( privateLayoutWidget, "TextLabel1_3" );
    QFont TextLabel1_3_font(  TextLabel1_3->font() );
    TextLabel1_3->setFont( TextLabel1_3_font ); 
    TextLabel1_3->setText( tr( "Redundanz (in %)" ) );
    Layout3->addWidget( TextLabel1_3 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout3->addItem( spacer );

    SpinBoxRedundanz = new QSpinBox( privateLayoutWidget, "SpinBoxRedundanz" );
    QFont SpinBoxRedundanz_font(  SpinBoxRedundanz->font() );
    SpinBoxRedundanz->setFont( SpinBoxRedundanz_font ); 
    SpinBoxRedundanz->setMaxValue( 95 );
    SpinBoxRedundanz->setMinValue( 0 );
    SpinBoxRedundanz->setValue( 50 );
    Layout3->addWidget( SpinBoxRedundanz );

    QWidget* privateLayoutWidget_2 = new QWidget( GroupBox12, "LSkalierung" );
    privateLayoutWidget_2->setGeometry( QRect( 10, 70, 450, 24 ) ); 
    LSkalierung = new QHBoxLayout( privateLayoutWidget_2 ); 
    LSkalierung->setSpacing( 6 );
    LSkalierung->setMargin( 0 );

    TextLabel2_3 = new QLabel( privateLayoutWidget_2, "TextLabel2_3" );
    QFont TextLabel2_3_font(  TextLabel2_3->font() );
    TextLabel2_3->setFont( TextLabel2_3_font ); 
    TextLabel2_3->setText( tr( QString::fromUtf8( "Faktor fuer die Fenstervergroesserug" ) ) );
    LSkalierung->addWidget( TextLabel2_3 );
    QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    LSkalierung->addItem( spacer_2 );

    ComboBoxSkalierung = new QComboBox( FALSE, privateLayoutWidget_2, "ComboBoxSkalierung" );
    ComboBoxSkalierung->insertItem( tr( "7/6" ) );
    ComboBoxSkalierung->insertItem( tr( "6/5" ) );
    ComboBoxSkalierung->insertItem( tr( "5/4" ) );
    ComboBoxSkalierung->insertItem( tr( "4/3" ) );
    ComboBoxSkalierung->insertItem( tr( "3/2" ) );
    ComboBoxSkalierung->insertItem( tr( "7/5" ) );
    ComboBoxSkalierung->insertItem( tr( "5/3" ) );
    ComboBoxSkalierung->insertItem( tr( "7/4" ) );
    ComboBoxSkalierung->insertItem( tr( "5/2" ) );
    QFont ComboBoxSkalierung_font(  ComboBoxSkalierung->font() );
    ComboBoxSkalierung->setFont( ComboBoxSkalierung_font ); 
    QToolTip::add(  ComboBoxSkalierung, tr( "" ) );
    LSkalierung->addWidget( ComboBoxSkalierung );

    QWidget* privateLayoutWidget_3 = new QWidget( GroupBox12, "Layout5" );
    privateLayoutWidget_3->setGeometry( QRect( 10, 110, 450, 22 ) ); 
    Layout5 = new QHBoxLayout( privateLayoutWidget_3 ); 
    Layout5->setSpacing( 6 );
    Layout5->setMargin( 0 );

    TextLabel3 = new QLabel( privateLayoutWidget_3, "TextLabel3" );
    QFont TextLabel3_font(  TextLabel3->font() );
    TextLabel3->setFont( TextLabel3_font ); 
    TextLabel3->setText( tr( "Anzahl der Hammingfenster" ) );
    Layout5->addWidget( TextLabel3 );

    Line2 = new QFrame( privateLayoutWidget_3, "Line2" );
    Line2->setFrameStyle( QFrame::HLine | QFrame::Sunken );
    Layout5->addWidget( Line2 );
    QSpacerItem* spacer_3 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout5->addItem( spacer_3 );

    TextLabelHamming = new QLabel( privateLayoutWidget_3, "TextLabelHamming" );
    TextLabelHamming->setText( tr( QString::number((**gN).getNeuronenAnzahl(AoueiN)[0]) ) );
    Layout5->addWidget( TextLabelHamming );

    PushButtonStart = new QPushButton( this, "PushButtonStart" );
    PushButtonStart->setGeometry( QRect( 10, 400, 121, 31 ) ); 
    PushButtonStart->setText( tr( "Start" ) );

    PushButtonFertig = new QPushButton( this, "PushButtonFertig" );
    PushButtonFertig->setGeometry( QRect( 380, 400, 101, 31 ) ); 
    PushButtonFertig->setText( tr( "Fertig" ) );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );
    TextLabel1_2->setGeometry( QRect( 180, 360, 100, 20 ) ); 
    TextLabel1_2->setText( tr( "aktuelle Epoche:" ) );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    TextLabel2->setGeometry( QRect( 10, 60, 60, 30 ) ); 
    TextLabel2->setText( tr( "Testdaten:" ) );

    TextLabel5 = new QLabel( this, "TextLabel5" );
    TextLabel5->setGeometry( QRect( 180, 100, 160, 20 ) ); 
    TextLabel5->setText( tr( "Lernschrittweite ( in 1/1000 ):" ) );

    TextLabel7 = new QLabel( this, "TextLabel7" );
    TextLabel7->setGeometry( QRect( 180, 140, 120, 20 ) ); 
    TextLabel7->setText( tr( "Anzahl der Epochen:" ) );

    TextLabelTestFile = new QLabel( this, "TextLabelTestFile" );
    TextLabelTestFile->setGeometry( QRect( 80, 60, 360, 30 ) ); 

    TextLabelTrainFile = new QLabel( this, "TextLabelTrainFile" );
    TextLabelTrainFile->setGeometry( QRect( 110, 20, 330, 30 ) ); 

    PushButtonChooseTrainFile = new QPushButton( this, "PushButtonChooseTrainFile" );
    PushButtonChooseTrainFile->setGeometry( QRect( 440, 20, 40, 30 ) ); 
    PushButtonChooseTrainFile->setText( tr( "..." ) );

    PushButtonChooseTestFile = new QPushButton( this, "PushButtonChooseTestFile" );
    PushButtonChooseTestFile->setGeometry( QRect( 440, 60, 40, 30 ) ); 
    PushButtonChooseTestFile->setText( tr( "..." ) );

    ButtonGroupLearningMethod = new QButtonGroup( this, "ButtonGroupLearningMethod" );
    ButtonGroupLearningMethod->setGeometry( QRect( 10, 100, 120, 60 ) ); 
    ButtonGroupLearningMethod->setFrameShape( QButtonGroup::NoFrame );
    ButtonGroupLearningMethod->setTitle( tr( "" ) );

    RadioButtonOnline = new QRadioButton( ButtonGroupLearningMethod, "RadioButtonOnline" );
    RadioButtonOnline->setGeometry( QRect( 0, 0, 120, 21 ) ); 
    RadioButtonOnline->setText( tr( "Online  Learning" ) );
    RadioButtonOnline->setChecked( TRUE );

    RadioButtonBatch = new QRadioButton( ButtonGroupLearningMethod, "RadioButtonBatch" );
    RadioButtonBatch->setGeometry( QRect( 0, 40, 110, 21 ) ); 
    RadioButtonBatch->setText( tr( "Batch Learning" ) );

    SpinBoxEpsilon = new QSpinBox( this, "SpinBoxEpsilon" );
    SpinBoxEpsilon->setGeometry( QRect( 360, 100, 60, 20 ) ); 
    SpinBoxEpsilon->setMaxValue( 2000 );
    SpinBoxEpsilon->setMinValue( 1 );

    SpinBoxEpochen = new QSpinBox( this, "SpinBoxEpochen" );
    SpinBoxEpochen->setGeometry( QRect( 360, 140, 60, 21 ) ); 
    SpinBoxEpochen->setMaxValue( 10000 );
    SpinBoxEpochen->setLineStep( 100 );
    SpinBoxEpochen->setValue( 1 );

    TextLabelAktEpoche = new QLabel( this, "TextLabelAktEpoche" );
    TextLabelAktEpoche->setGeometry( QRect( 280, 360, 40, 21 ) ); 
    TextLabelAktEpoche->setText( tr( "0" ) );

    // signals and slots connections
    connect( PushButtonFertig, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( PushButtonFertig, SIGNAL( clicked() ), f, SLOT( reject() ) );
    connect( PushButtonFertig, SIGNAL( clicked() ), g, SLOT( reject() ) );
    connect( PushButtonFertig, SIGNAL( clicked() ), w, SLOT( reject() ) );

    connect( SpinBoxEpochen, SIGNAL( valueChanged(int) ), this, SLOT( setEpochen(int) ) );

    connect( SpinBoxEpsilon, SIGNAL( valueChanged(int) ), this, SLOT( setEpsilon(int) ) );

    connect( SpinBoxRedundanz, SIGNAL( valueChanged(int) ), this, SLOT( setRedundanz(int) ) );

    connect( PushButtonChooseTrainFile, SIGNAL( clicked() ), this, SLOT( setTrainingData() ) );

    connect( PushButtonChooseTestFile, SIGNAL( clicked() ), this, SLOT( setTestData() ) );

    connect( PushButtonStart, SIGNAL( clicked() ), this, SLOT( startTraining() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
Training::~Training()
{
  // no need to delete child widgets, Qt does it all for us
  // Memory-leaks vermeiden!
  if(trainierungsFFT) {
    for(int i=0;i<trainierungsLaenge;i++)
      if (trainierungsFFT[i])
	delete[] trainierungsFFT[i];
    delete trainierungsFFT;
  }
  if(trainierungsVok)
    delete[] trainierungsVok;

  if(testFFT) {
    for(int i=0;i<testLaenge;i++)
      if (testFFT[i])
	delete[] testFFT[i];
    delete testFFT;
  }
  if(testVok)
    delete[] testVok;

  if(f)
    delete f;
  if(g)
    delete g;
  if(w)
    delete w;
}

// Anzahl Epochen
void Training::setEpochen(int val)
{
  Epochen = val;
}

// Lernschrittweite
void Training::setEpsilon(int val)
{
  Epsilon = (double)val/1000;
}

// Redundanz
void Training::setRedundanz(int val)
{
  Redundanz = val;
}

// den Dateinamen fuer die Testdaten waehlen
void Training::setTestData()
{
  TestDataFileName = QFileDialog::getOpenFileName( QString::null, "Audio-Dateien *.au *.set", this );  

  TextLabelTestFile->setText( tr(TestDataFileName) );
}

// den Dateinamen fuer die Trainingsdaten waehlen
void Training::setTrainingData()
{
  TrainingDataFileName =QFileDialog::getOpenFileName( QString::null, "Audio-Dateien *.au *.set", this );

  TextLabelTrainFile->setText( tr(TrainingDataFileName) );
}



// Hilfefunktion fuer Edgar
void doubleCopy(double *in, double *out, int laenge){
  for(int i=0;i<laenge;i++)
    out[i] = in[i];
}

// Hilfefunktion fuer Edgar
inline void printVok(Vokal vok){
  cout << vok.gewaehlt << " gewaehlt mit sicherheit " << vok.sicherheit << endl;
  cout << "Aouei[]: " << vok.Aouei[0] << " " << vok.Aouei[1] << " " << vok.Aouei[2] << endl;
  cout << "Ouvoid[]: " << vok.Ouvoid[0] << " " << vok.Ouvoid[1] << " " << vok.Ouvoid[2] << endl;
  cout << "Eivoid[]: " << vok.Eivoid[0] << " " << vok.Eivoid[1] << " " << vok.Eivoid[2] << endl;
}

// hier kommt dein Code rein Edgar
void Training::startTraining()
{
  // Wert fuer die Skalierung
  double s=(double)3/2;

  // batch=0 => Online Learning; batch=1 => Batch Learning 
  int batch;

  switch ( ComboBoxSkalierung->currentItem() ){

  case 0: s = (double)7/6; break;

  case 1: s = (double)6/5; break;

  case 2: s = (double)5/4; break;

  case 3: s = (double)4/3; break;

  case 4: s = (double)3/2; break;

  case 5: s = (double)7/5; break;

  case 6: s = (double)5/3; break;
      
  case 7: s = (double)7/4; break;
  
  case 8: s = (double)5/2; break;

  }

  // Welche Lernmethode
  if (RadioButtonOnline->isChecked()){

    batch = 0;

  }else{
    
    batch = 1;

  }


  // Ab hier, Edgars Code.

  // Parameter ueberfuehren. Von Mikes Code bis Edgars.
  double redundanz = (double)Redundanz/100.0;
  int hammingfensterAnzahl = (**myGN).getNeuronenAnzahl(AoueiN)[0];

  char *trainierungsFilename, *testFilename;
  trainierungsFilename = (char *)TrainingDataFileName.latin1();
  testFilename = (char *)TestDataFileName.latin1();

  int trainStelle=0, testStelle=0;
  if (!TrainingDataFileName.isEmpty())
    trainStelle = TrainingDataFileName.findRev( QString("/"));
  if (!TestDataFileName.isEmpty())
    testStelle = TestDataFileName.findRev( QString("/"));

  cout << "Einstellungen:\n";
  cout << "Trainierungsdatensatz: " << TrainingDataFileName << endl;
  cout << "Testdatensatz: " << TestDataFileName << endl;
  cout << "batch: " << batch << endl;
  cout << "skalierung: " << s << endl;
  cout << "epsilon: " << Epsilon << endl;
  cout << "redundanz: " << redundanz << endl;
  cout << "epochen: " << Epochen << endl;
  cout << "testdaten: " << trainierungsFilename << endl;
  cout << "trainingsdaten: " << testFilename << endl;
  cout << "Anzahl der Hammingfenster: " << hammingfensterAnzahl << endl;

  bool isAU=0;
  AudioFile *af;
  AudioEdit *ae;
  SetFile sfTrain, sfTest;
  string path;

  // Kucken, ob die Audiodateien noch einmal geladen werden muessen.
  if (!loadData) {
    if (lastTrainingDataFileName.compare(TrainingDataFileName))
      loadData = 1;
    if (lastTestDataFileName.compare(TestDataFileName))
      loadData = 1;
    if((lastS != s) || (lastRedundanz != Redundanz))
      loadData = 1;
  }
  lastTrainingDataFileName = TrainingDataFileName;
  lastTestDataFileName = TestDataFileName;
  lastRedundanz = Redundanz;
  lastS = s;

  if (loadData) {
    loadData = 0;
    if (trainierungsFilename && testFilename)
      cout << "Audiodateien werden geladen...\n";

    // Einlesen der Trainierungsaudiodateien
    if (trainierungsFilename) {
      int len = strlen(trainierungsFilename);
      if((len>=3) && !strcmp(trainierungsFilename+len-3,".au")) {
	// Es endet mit .au, deswegen wird es angenommen, dass es
	// eine .au Datei ist.
	cout << "Eine .au datei!\n";
	trainierungsLaenge = 1;
	isAU=1;
	path = string(trainierungsFilename);
      } else {    // Sonst wird es angenommen, dass es eine .set ist
	sfTrain.setFileName(trainierungsFilename);
	trainierungsLaenge = sfTrain.getDim();
	isAU=0;
      }
      
      if (trainierungsFFT)
	delete[] trainierungsFFT;
      if (trainierungsVok)
	delete[] trainierungsVok;
      trainierungsFFT = new (double *)[trainierungsLaenge];
      trainierungsVok = new char[trainierungsLaenge];
      
      for(int i=0;i<trainierungsLaenge;i++) {
	trainierungsFFT[i] = new double[hammingfensterAnzahl];
	
	if (isAU) {
	  af = new AudioFile(trainierungsFilename);
	} else {
	  path = sfTrain.getPath();
	  TrainingDataFileName.replace(1+trainStelle,TrainingDataFileName.length()-
				       trainStelle,QString((char *)path.c_str()));
	  cout << "Einlesen von: " << TrainingDataFileName << endl;
	  af = new AudioFile((char *)TrainingDataFileName.latin1());
	}
	
	if (af->readData() != 0) {
	  cout << "#Fehler beim einlesen der Datei!" << endl;
	  af->text();
	  exit(1);
	}
	trainierungsVok[i] = af->getVocal();
	
	ae = new AudioEdit(af);
	
	ae->setRedundance(redundanz);
	ae->setScaleFactor(s);
	ae->setHammingFenster(hammingfensterAnzahl);
	int f = ae->decode();
	switch(f)
	  {
	  case DATAMISSING: 
	    cout << "Fehler: DATAMISSING!" << endl;
	    cout << "  In Datei: " << path << endl << endl;
	    break;
	  case MAXAMPL_ERROR: 
	    cout << "Fehler: MAXAMPL_ERROR!" << endl;
	    cout << "  In Datei: " << path << endl << endl;
	    break;
	  case SIGNALLENGTH_ERROR: 
	    cout << "Fehler: SIGNALLENGTH_ERROR!" << endl;
	    cout << "  In Datei: " << path << endl << endl;
	    break;
	  default:break;
	  }
	
	doubleCopy(ae->getData(),trainierungsFFT[i],hammingfensterAnzahl);
	//for(int z=0;z<hammingfensterAnzahl;z++)
	//  cout << ae->getData()[z] << endl;
	//cout << endl << endl << endl;

	
	delete ae;
	delete af;
      }
    } else {
      trainierungsLaenge = 0;
    }
    cout << "Laenge der Lernphase: " << trainierungsLaenge << endl;
	//exit(1);
    // Einlesen der Testaudiodateien:
    if (testFilename) {
      int len = strlen(testFilename);
      if((len>=3) && !strcmp(testFilename+len-3,".au")) {
	// Es endet mit .au, deswegen wird es angenommen, dass es
	// eine .au Datei ist.
	cout << "Eine .au datei!\n";
	testLaenge = 1;
	isAU=1;
	path = string(testFilename);
      } else {    // Sonst wird es angenommen, dass es eine .set ist
	sfTest.setFileName(testFilename);
	testLaenge = sfTest.getDim();
	isAU=0;
      }
      
      if (testFFT)
	delete[] testFFT;
      if (testVok)
	delete[] testVok;

      testFFT = new (double *)[testLaenge];
      testVok = new char[testLaenge];
      
      for(int i=0;i<testLaenge;i++) {
	testFFT[i] = new double[hammingfensterAnzahl];
	
	if (isAU) {
	  cout << "Einlesen von: " << testFilename << endl;
	  af = new AudioFile(testFilename);
	} else {
	  path = sfTest.getPath();
	  TestDataFileName.replace(1+testStelle,TestDataFileName.length()-
				       testStelle,QString((char *)path.c_str()));
	  cout << "Einlesen von: " << TestDataFileName << endl;
	  af = new AudioFile((char *)TestDataFileName.latin1());
	}
	
	if (af->readData() != 0) {
	  cout << "#Fehler beim einlesen der Datei!" << endl;
	  af->text();
	  exit(1);
	}
	testVok[i] = af->getVocal();
	
	ae = new AudioEdit(af);
	
	ae->setRedundance(redundanz);
	ae->setScaleFactor(s);
	ae->setHammingFenster(hammingfensterAnzahl);
	int f = ae->decode();
	switch(f)
	  {
	  case DATAMISSING: 
	    cout << "Fehler: DATAMISSING!" << endl;
	    cout << "  In Datei: " << path << endl << endl;
	    break;
	  case MAXAMPL_ERROR: 
	    cout << "Fehler: MAXAMPL_ERROR!" << endl;
	    cout << "  In Datei: " << path << endl << endl;
	    break;
	  case SIGNALLENGTH_ERROR: 
	    cout << "Fehler: SIGNALLENGTH_ERROR!" << endl;
	    cout << "  In Datei: " << path << endl << endl;
	    break;
	  default:break;
	  }
	
	doubleCopy(ae->getData(),testFFT[i],hammingfensterAnzahl);

	delete ae;
	delete af;
      }
    } else {
      testLaenge = 0;
    }
    cout << "Laenge der Testphase: " << testLaenge << endl;
  }

  // Das Gesamtnetz fuer die Laenge der Datensaetze usw, einstellen.
  if (testLaenge || trainierungsLaenge) {
    if (batch == 1) {
      (**myGN).setBatchAnzahl(1);
    } else {
      if (trainierungsLaenge > 0)
	(**myGN).setBatchAnzahl(trainierungsLaenge);
    }
    if (trainierungsLaenge > 0)
      (**myGN).setTrainingsfehlerAnzahl(trainierungsLaenge);
    if (testLaenge > 0)
      (**myGN).setTestfehlerAnzahl(testLaenge);
    (**myGN).setEpsilon(Epsilon);
  }

  // damit nicht endgueltig geaendert werden, durch das
  // Hinzufuegen der .au-Dateinamen.
  TrainingDataFileName = lastTrainingDataFileName;
  TestDataFileName = lastTestDataFileName;
  

  // Schleife fuers Lernen und Testen
  Vokal vok;
  for(int e=0;e<Epochen;e++) {
    totalEpochen++;

    for(int i=0;i<trainierungsLaenge;i++){
      cout << "Epoche #" << e+1 << ", Datei #" << i+1 << " (lernen)" << endl;
      vok = (**myGN).trainiere(trainierungsFFT[i],trainierungsVok[i]);
      //printVok(vok);
    }

    for(int i=0;i<testLaenge;i++){
      cout << "Epoche #" << e+1 << ", Datei #" << i+1 << " (testen)" << endl;
      vok = (**myGN).test(testFFT[i],testVok[i]);
      //printVok(vok);
    }
  }


  // Das Gesamtnetz soll jetzt angeblich erfolgreich trainiert worden sein.
  (**myGN).setTrainiert(1);
  
  // aktuelle Epoche updaten!
  // TextLabelAktEpoche->setText( tr( QString::number(totalEpochen) ) );
  TextLabelAktEpoche->setNum( totalEpochen );

  // Falls einer das Fenster zugemacht hat!!
  //w.show();
  f->show();
  g->show();
  w->aktualisieren(vok);
  w->show();



  // Spaeter wegmachen, nur fuers Debugging jetzt:
  fstream fp;
  fp.open("tmp.gnz.out",ios::out);
  fp << (**myGN);
  fp.close();
}
